For AI agents: A markdown version of this page is available at https://docs.datadoghq.com/api/latest/case-management/bulk-update-cases.md. A documentation index is available at /llms.txt.

Bulk update cases

POST https://api.ap1.datadoghq.com/api/v2/cases/bulkhttps://api.ap2.datadoghq.com/api/v2/cases/bulkhttps://api.datadoghq.eu/api/v2/cases/bulkhttps://api.ddog-gov.com/api/v2/cases/bulkhttps://api.us2.ddog-gov.com/api/v2/cases/bulkhttps://api.uk1.datadoghq.com/api/v2/cases/bulkhttps://api.datadoghq.com/api/v2/cases/bulkhttps://api.us3.datadoghq.com/api/v2/cases/bulkhttps://api.us5.datadoghq.com/api/v2/cases/bulk

Overview

Applies a single action (such as changing priority, status, assignment, or archiving) to multiple cases at once. The list of case IDs and the action type with its payload are specified in the request body.

OAuth apps require the cases_write authorization scope to access this endpoint.

Request

Body Data (required)

Case bulk update request payload.

Expand All

Field

Type

Description

data [required]

object

Data object wrapping the bulk update type and attributes.

attributes [required]

object

Attributes for the bulk update, specifying which cases to update and the action to apply.

case_ids [required]

[string]

An array of case identifiers to apply the bulk action to.

payload

object

A key-value map of action-specific parameters. The required keys depend on the action type (for example, priority for the priority action, assignee_id for assign).

<any-key>

string

type [required]

enum

The type of action to apply in a bulk update. Allowed values are priority, status, assign, unassign, archive, unarchive, jira, servicenow, linear, update_project. Allowed enum values: priority,status,assign,unassign,archive,unarchive,jira,servicenow,linear,update_project

type [required]

enum

JSON:API resource type for bulk case operations. Allowed enum values: bulk

{
  "data": {
    "attributes": {
      "case_ids": [
        "case-id-1",
        "case-id-2"
      ],
      "payload": {
        "<any-key>": "string"
      },
      "type": "priority"
    },
    "type": "bulk"
  }
}

Response

OK

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Unauthorized

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  ## default
# 

# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/cases/bulk" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "data": { "attributes": { "case_ids": [ "case-id-1", "case-id-2" ], "payload": { "priority": "P1" }, "type": "priority" }, "type": "bulk" } } EOF
"""
Bulk update cases returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.case_management_api import CaseManagementApi
from datadog_api_client.v2.model.case_bulk_action_type import CaseBulkActionType
from datadog_api_client.v2.model.case_bulk_resource_type import CaseBulkResourceType
from datadog_api_client.v2.model.case_bulk_update_request import CaseBulkUpdateRequest
from datadog_api_client.v2.model.case_bulk_update_request_attributes import CaseBulkUpdateRequestAttributes
from datadog_api_client.v2.model.case_bulk_update_request_data import CaseBulkUpdateRequestData

body = CaseBulkUpdateRequest(
    data=CaseBulkUpdateRequestData(
        attributes=CaseBulkUpdateRequestAttributes(
            case_ids=[
                "case-id-1",
                "case-id-2",
            ],
            payload=dict(
                priority="P1",
            ),
            type=CaseBulkActionType.PRIORITY,
        ),
        type=CaseBulkResourceType.BULK,
    ),
)

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
with ApiClient(configuration) as api_client:
    api_instance = CaseManagementApi(api_client)
    api_instance.bulk_update_cases(body=body)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# Bulk update cases returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
end
api_instance = DatadogAPIClient::V2::CaseManagementAPI.new

body = DatadogAPIClient::V2::CaseBulkUpdateRequest.new({
  data: DatadogAPIClient::V2::CaseBulkUpdateRequestData.new({
    attributes: DatadogAPIClient::V2::CaseBulkUpdateRequestAttributes.new({
      case_ids: [
        "case-id-1",
        "case-id-2",
      ],
      payload: {
        priority: "P1",
      },
      type: DatadogAPIClient::V2::CaseBulkActionType::PRIORITY,
    }),
    type: DatadogAPIClient::V2::CaseBulkResourceType::BULK,
  }),
})
p api_instance.bulk_update_cases(body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// Bulk update cases returns "OK" response

package main

import (
	"context"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.CaseBulkUpdateRequest{
		Data: datadogV2.CaseBulkUpdateRequestData{
			Attributes: datadogV2.CaseBulkUpdateRequestAttributes{
				CaseIds: []string{
					"case-id-1",
					"case-id-2",
				},
				Payload: map[string]string{
					"priority": "P1",
				},
				Type: datadogV2.CASEBULKACTIONTYPE_PRIORITY,
			},
			Type: datadogV2.CASEBULKRESOURCETYPE_BULK,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewCaseManagementApi(apiClient)
	r, err := api.BulkUpdateCases(ctx, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `CaseManagementApi.BulkUpdateCases`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// Bulk update cases returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.CaseManagementApi;
import com.datadog.api.client.v2.model.CaseBulkActionType;
import com.datadog.api.client.v2.model.CaseBulkResourceType;
import com.datadog.api.client.v2.model.CaseBulkUpdateRequest;
import com.datadog.api.client.v2.model.CaseBulkUpdateRequestAttributes;
import com.datadog.api.client.v2.model.CaseBulkUpdateRequestData;
import java.util.Arrays;
import java.util.Map;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    CaseManagementApi apiInstance = new CaseManagementApi(defaultClient);

    CaseBulkUpdateRequest body =
        new CaseBulkUpdateRequest()
            .data(
                new CaseBulkUpdateRequestData()
                    .attributes(
                        new CaseBulkUpdateRequestAttributes()
                            .caseIds(Arrays.asList("case-id-1", "case-id-2"))
                            .payload(Map.ofEntries(Map.entry("priority", "P1")))
                            .type(CaseBulkActionType.PRIORITY))
                    .type(CaseBulkResourceType.BULK));

    try {
      apiInstance.bulkUpdateCases(body);
    } catch (ApiException e) {
      System.err.println("Exception when calling CaseManagementApi#bulkUpdateCases");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// Bulk update cases returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_case_management::CaseManagementAPI;
use datadog_api_client::datadogV2::model::CaseBulkActionType;
use datadog_api_client::datadogV2::model::CaseBulkResourceType;
use datadog_api_client::datadogV2::model::CaseBulkUpdateRequest;
use datadog_api_client::datadogV2::model::CaseBulkUpdateRequestAttributes;
use datadog_api_client::datadogV2::model::CaseBulkUpdateRequestData;
use std::collections::BTreeMap;

#[tokio::main]
async fn main() {
    let body = CaseBulkUpdateRequest::new(CaseBulkUpdateRequestData::new(
        CaseBulkUpdateRequestAttributes::new(
            vec!["case-id-1".to_string(), "case-id-2".to_string()],
            CaseBulkActionType::PRIORITY,
        )
        .payload(BTreeMap::from([("priority".to_string(), "P1".to_string())])),
        CaseBulkResourceType::BULK,
    ));
    let configuration = datadog::Configuration::new();
    let api = CaseManagementAPI::with_config(configuration);
    let resp = api.bulk_update_cases(body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * Bulk update cases returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
const apiInstance = new v2.CaseManagementApi(configuration);

const params: v2.CaseManagementApiBulkUpdateCasesRequest = {
  body: {
    data: {
      attributes: {
        caseIds: ["case-id-1", "case-id-2"],
        payload: {
          priority: "P1",
        },
        type: "priority",
      },
      type: "bulk",
    },
  },
};

apiInstance
  .bulkUpdateCases(params)
  .then((data: any) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"